<?
ini_set('error_reporting',1);
session_start();

if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$fecha_sistema= date(Y)."/".date(m)."/".date(d);
$hora_sistema=date('H:i:s'); 


	
include("../../conexion/class-sb-conexion.php");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Documento sin t&iacute;tulo</title>
</head>

<body>
<?

$ano = substr($fecha_comprobante,0,4);
$wsql = "select numero from sb_conta_eit where cod_empresa = ".$id_empresa." AND year(fecha) = ".$ano." order by numero desc;";
echo $wsql."<br>";
	//$nuevo_comp = mysqli_query($wsql, $conexion);
	//$nuevo_comprobante = mysqli_fetch_row($nuevo_comp);


	$db = new sb_mysql();
	$nuevo_comp = $db->consulta_free($wsql);
	$nuevo_comprobante = $db->sb_array($nuevo_comp);	        

if ($nuevo_comprobante[0] == '' || $nuevo_comprobante[0] == 0){
    $numero_comprobante = 1;
}else{
    $numero_comprobante = $nuevo_comprobante[0] + 1;
};


echo "----".$numero_comprobante."-----"."<br>";

$num_reg=$cantidad_filas_ingreso+1;
$suma_cargo=0;
$suma_abono=0;

for($i=1;$i<=$num_reg;$i++)
	{
$suma_cargo+=$cargo[$i];
$suma_abono+=$abono[$i];

//echo "iiiiiiiiiiiiiiiiii ".$i."]]]]]]]]]]]]]]]]]]]";
	echo $i."->".$cargo[$i]."---".$abono[$i]."=".$suma_cargo." - ".$suma_abono."<br>";
	};

if($suma_cargo>0 && $suma_abono>0){
	if($suma_cargo!=$suma_abono){
		?><script>alert("Comprobante no cuadrado:<?=$suma_cargo."--".$suma_abono?>")</script><?
		exit();	
	}
}else{
?><script>alert("Comprobante no cuadrado")</script><?
exit();
}

$wsql = "INSERT into sb_conta_eit ( ".
           "cod_empresa, ".
           "cod_tipo, ".
           "numero, ".
           "fecha, ".
           "glosa, ".
           "valor, usuario, fecha_hora_proceso) VALUES ( ".
           $id_empresa.", ".
           "'Traspaso', ".
           $numero_comprobante.", ".
           "'".$fecha_comprobante."', ".
           "'".$glosa_comprobante."', ".
           number_format($suma_cargo,0,'','').", ".
		   "'".$id_user."', '".$fecha_sistema." ".$hora_sistema."');";

echo $wsql.$cantidad_filas_ingreso;



$graba_comprobante = $db->consulta_free($wsql);

$id_comp = $db->consulta_free("SELECT LAST_INSERT_ID() as id");
$nuevo = $db->sb_array($id_comp);	        

$mi_id=$nuevo['id'];

if ($mi_id==0){
		?>
		<script language="javascript" type="text/javascript">
		alert("El Registro NO fué grabado...\n inténtelo nuevamente... o llame a computación para reportar el problema...");
		window.close();
		</script>
		<?
		exit();
}





$num_reg=$cantidad_filas_ingreso;
for($i=1;$i<=$num_reg;$i++)
	{
	if($cargo[$i]=='')$cargo[$i]=0;
	if($abono[$i]=='')$abono[$i]=0;
	//echo "iiiiiiiiiiiiiiiiii ".$i."]]]]]]]]]]]]]]]]]]]";
		$wsql = "INSERT INTO sb_conta_cta (cod_empresa, numero_eit, fecha, id_sb_conta_eit, id_plan_cuenta, codigo_contable, glosa, cargo, abono, linea_en_comprobante) VALUES ($id_empresa, $numero_comprobante, '$fecha_comprobante', $mi_id, $id_cuenta[$i], $cuenta[$i], '$glosa[$i]', $cargo[$i], $abono[$i], $i)";		
		echo "<br>".$wsql;
		$graba_comprobante_detalle = $db->consulta_free($wsql);
	};

	$mi_mes=substr ($fecha_comprobante, 5, 2);
	$mi_ano=substr ($fecha_comprobante, 0, 4);	
$sqlfs = "UPDATE sb_proceso SET  Traspaso=$numero_comprobante  
 WHERE Mes_Proceso='$mi_mes' AND Ano_Proceso='$mi_ano' AND Codigo_Empresa_Proceso=$id_empresa";
echo "<br>".$sqlfs;
		$graba_proceso = $db->consulta_free($sqlfs);
		  
?>

<script>
function visualizador_comprobante(){
ventana1 = window.open('comprobante_contable.php?numero_comp=<?=$numero_comprobante?>&ano=<?=$ano?>&Codigo_Empresa=<?=$id_empresa?>','popupwin1','status,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes,width=800,height=800,left=300,top=200');
window.open('','_parent','');window.close();
};
visualizador_comprobante();
</script>
</body>
</html>
